<div id="home">
    <h1 class="text-center mt-4">Categorie disponibili</h1>
    <div class="text-center mt-5" v-if="this.categories === null">
        <b-spinner type="grow" variant="primary"/>
    </div>

    <b-container class="mt-5" v-if="this.categories !== null">
        <b-row cols="1" cols-sm="2" cols-md="2" cols-lg="3" cols-xl="4">
            <b-col v-for="category in categories">
                <category-card :category="category" style="cursor:pointer;"/>
            </b-col>
        </b-row>
    </b-container>

    <b-modal id="error-modal">
        <span style="color: red">{{ error }}</span>
    </b-modal>
</div>
